
Packaging - Bug #6685

foreman-selinux left installed after "yum remove foreman forman-proxy"

07/18/2014 06:22 AM - Jorick Astrego

Status: Rejected   

Priority: Low   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I remove foreman and foreman-proxy through yum and the foreman-selinux package remains installed. This gave me dependency

problems later on.

rpm -qa|grep foreman

foreman-selinux-1.6.0-0.develop.201406261522git5532684.el6.noarch

Related issues:

Related to Packaging - Feature #6901: foreman-cleanup command Rejected

History

#1 - 07/21/2014 04:28 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- Category changed from 21 to RPMs

- Status changed from New to Need more information

- Difficulty deleted (trivial)

I don't follow what problem this could give you?  foreman-selinux isn't a sub-package or anything, just yum remove it too.

#2 - 07/21/2014 06:35 AM - Jorick Astrego

Yes it is a trivial issue. I ran into problems when testing different versions, the foreman-selinux package broke the rpm dependencies.

When I remove foreman I expect all rpm dependencies to be removed, so normally I would do "yum remove foreman foreman-proxy" and not "yum

remove foreman foreman-proxy foreman-selinux"

As I said not a big issue but is there a reason for the current behaviour?

#3 - 07/21/2014 06:43 AM - Dominic Cleal

Removing any package from yum will never remove its dependencies, and foreman-selinux is a complementary package rather than a dep (or vice

versa).  I'm not sure that even making it a dependency of foreman would cause it to be removed - you'd probably just want to do "yum remove

foreman\*" instead.

#4 - 08/04/2014 06:06 AM - Jorick Astrego

I've submitted Feature #6901 to explain better.

#5 - 08/04/2014 06:34 AM - Dominic Cleal

- Related to Feature #6901: foreman-cleanup command added

#6 - 02/29/2016 04:31 AM - Tomer Brisker

- Status changed from Need more information to Rejected

Closing this as this is expected rpm behavior as explained by Dominic.

Leaving related RFE open for adding a tool to automate this.
